/******************************************************************************
Grafik Kontroller Board for 
Fujitsu Graphic Controller MB87P2020 (Jasmine)

28.09.2006: Norfolk Elektronik AG, F. Leu
30.05.2007: EDX Software Design, E. Furrer
*******************************************************************************
Used to include Fonts generated with the FOMI Font Migrator.
Fonts to be used somewhere in the project are included at the end of the file.
Simply include Fonts.h wherever Fonts need to be used.

******************************************************************************/


// ----------------------------------------------------------------------------
// typedefs

typedef struct FONT_CHARINFO {              // Infos regarding a single character
  uchar cXSize;                               // X size of a character
  uchar cLongsPerChar;                        // longs per character
  void *pCharData;                            // ptr to data of a character
};


typedef struct FONT_INTERVALINFO {          // Infos regarding an interval of the font
  uchar cFirst;                               // first character in this font(-info) (ASCII number)
  uchar cLast;                                // last character in this font(-info) (ASCII number)
  const struct FONT_CHARINFO *pChar;          // pointer to info of a single character
  const struct FONT_INTERVALINFO *pNextInfo;  // pointer to the next info in font (used if not contiguous)
};


typedef struct FONT {                       // Infos regarding the font
  uchar cYSize;                               // Y size of charcter map -> number of lines used in bitmap
  const struct FONT_INTERVALINFO *pInfo;      // pointer to infos of contents of font and character data
};


// ----------------------------------------------------------------------------
// fonts to be used

extern const struct FONT sAnsiTimes11;
extern const struct FONT sAnsiTimes11_VU;
extern const struct FONT sAnsiTimes11_VD;

